## gpsim 0.22.0

=== regression/a2d/Makefile ===
include ../make.regression

STARTUP_STC=startup.stc

all : p16c71.cod p18f452.cod p16f873a.cod p16f88.cod p16f871.cod p16f874a.cod


p%.cod : p%.o
	gplink --map -s $*.lkr -o $@  $<


sim: sim_71 sim_452 sim_873a sim_871 sim_88 sim_874a

sim_71: p16c71.cod
	$(GPSIM) -i -c $(STARTUP_STC) -D STC="p16c71.cod"

sim_452: p18f452.cod
	$(GPSIM) -i -c $(STARTUP_STC) -D STC="p18f452.cod"

sim_873a: p16f873a.cod
	$(GPSIM) -i -c $(STARTUP_STC) -D STC="p16f873a.cod"

sim_874a: p16f874a.cod
	$(GPSIM) -i -c $(STARTUP_STC) -D STC="p16f874a.cod"

sim_871: p16f871.cod
	$(GPSIM) -i -c $(STARTUP_STC) -D STC="p16f871.cod"

sim_88: p16f88.cod
	$(GPSIM) -i -c $(STARTUP_STC) -D STC="p16f88.cod"

=== regression/breakpoints/Makefile ===
include ../make.regression


SCRIPT = 16f873.lkr

PROJECT = breakpoints
OBJECTS =  $(PROJECT).o
OUTPUT = $(PROJECT).hex
COD = $(PROJECT).cod
STC = $(PROJECT).stc
STARTUP_STC=startup.stc

all : $(OUTPUT)

$(OUTPUT) $(COD) : $(OBJECTS) $(SCRIPT)
	gplink --map -s $(SCRIPT) -o $(OUTPUT) $(OBJECTS)

$(PROJECT).o : $(PROJECT).asm

sim: $(COD)
	$(GPSIM) -i -c $(STARTUP_STC) -D STC="breakpoints.stc"

=== regression/instructions_12bit/Makefile ===
include ../make.regression


SCRIPT = 12c508.lkr

PROJECT = instructions_12bit
OBJECTS =  $(PROJECT).o
OUTPUT = $(PROJECT).hex
COD = $(PROJECT).cod
STC = $(PROJECT).stc
STARTUP_STC=startup.stc

all : $(OUTPUT)

$(OUTPUT) $(COD) : $(OBJECTS) $(SCRIPT)
	gplink --map -s $(SCRIPT) -o $(OUTPUT) $(OBJECTS)

$(PROJECT).o : $(PROJECT).asm

sim: $(COD)
	$(GPSIM) -i -c $(STARTUP_STC) -D STC=$(STC)

=== regression/instructions_16bit/Makefile ===
include ../make.regression


SCRIPT = 18f452.lkr

PROJECT = instructions_16bit
OBJECTS =  $(PROJECT).o
OUTPUT = $(PROJECT).hex
COD = $(PROJECT).cod
STC = $(PROJECT).stc
STARTUP_STC=startup.stc

all : $(OUTPUT)

$(OUTPUT) $(COD) : $(OBJECTS) $(SCRIPT)
	gplink --map -s $(SCRIPT) -o $(OUTPUT) $(OBJECTS)

$(PROJECT).o : $(PROJECT).asm

sim: $(COD)
	$(GPSIM) -i -c $(STARTUP_STC) -D STC=$(STC)

=== regression/logic_test/Makefile ===
include ../make.regression


SCRIPT = 16f873.lkr

PROJECT = logic_test
OBJECTS =  $(PROJECT).o
OUTPUT = $(PROJECT).hex
COD = $(PROJECT).cod
STC = $(PROJECT).stc
STARTUP_STC=startup.stc

all : $(OUTPUT)

$(OUTPUT) $(COD) : $(OBJECTS) $(SCRIPT)
	gplink --map -s $(SCRIPT) -o $(OUTPUT) $(OBJECTS)

$(PROJECT).o : $(PROJECT).asm

sim: $(COD)
	$(GPSIM) -i -c $(STARTUP_STC) -D STC="logic_test.stc"

=== regression/macro_test/Makefile ===
include ../make.regression


SCRIPT = 16f84.lkr

PROJECT = macro_test
OBJECTS =  $(PROJECT).o
OUTPUT = $(PROJECT).hex
COD = $(PROJECT).cod
STC = $(PROJECT).stc
STARTUP_STC=startup.stc

all : $(OUTPUT)

$(OUTPUT) $(COD) : $(OBJECTS) $(SCRIPT)
	gplink --map -s $(SCRIPT) -o $(OUTPUT) $(OBJECTS)

$(PROJECT).o : $(PROJECT).asm

sim: $(COD)
	$(GPSIM) -i -c $(STARTUP_STC) -D STC=$(STC)

=== regression/node_test/Makefile ===
include ../make.regression


SCRIPT = 16f877.lkr

PROJECT = node_test
OBJECTS =  $(PROJECT).o
OUTPUT = $(PROJECT).hex
COD = $(PROJECT).cod
STC = $(PROJECT).stc
STARTUP_STC=startup.stc

all : $(OUTPUT)

$(OUTPUT) $(COD) : $(OBJECTS) $(SCRIPT)
	gplink --map -s $(SCRIPT) -o $(OUTPUT) $(OBJECTS)

$(PROJECT).o : $(PROJECT).asm

sim: $(COD)
	$(GPSIM) -i -c $(STARTUP_STC) -D STC=$(STC)

=== regression/p18f/Makefile ===

EXTENDED_INSTRUCTIONS=1

include ../make.regression


SCRIPT = 18f452.lkr

PROJECT = instructions
OBJECTS =  $(PROJECT).o
OUTPUT = $(PROJECT).hex
COD = $(PROJECT).cod
STC = $(PROJECT).stc
STARTUP_STC=startup.stc

all : sim

instructions.cod: instructions.o $(SCRIPT)
	gplink --map -s $(SCRIPT) -o instructions.hex instructions.o

extended_instructions.cod: extended_instructions.o $(SCRIPT)
	gplink --map -s $(SCRIPT) -o extended_instructions.hex extended_instructions.o


test1: instructions.cod
	$(GPSIM) -i -c $(STARTUP_STC) -D STC=instructions.cod


test2: extended_instructions.cod
	$(GPSIM) -i -c $(STARTUP_STC) -D STC=extended_instructions.cod


sim: test1 test2

=== regression/p18f452_ports/Makefile ===
include ../make.regression


SCRIPT = 18f452.lkr

PROJECT = p18f452_ports
OBJECTS =  $(PROJECT).o
OUTPUT = $(PROJECT).hex
COD = $(PROJECT).cod
STC = $(PROJECT).stc
STARTUP_STC=startup.stc

all : $(OUTPUT)

$(OUTPUT) $(COD) : $(OBJECTS) $(SCRIPT)
	gplink --map -s $(SCRIPT) -o $(OUTPUT) $(OBJECTS)

$(PROJECT).o : $(PROJECT).asm

sim: $(COD)
	$(GPSIM) -i -c $(STARTUP_STC) -D STC=$(STC)

=== regression/port_stim/Makefile ===
include ../make.regression


SCRIPT = 18f452.lkr

PROJECT = port_stim
OBJECTS =  $(PROJECT).o
OUTPUT = $(PROJECT).hex
COD = $(PROJECT).cod
STC = $(PROJECT).stc
STARTUP_STC=startup.stc

all : $(OUTPUT)

$(OUTPUT) $(COD) : $(OBJECTS) $(SCRIPT)
	gplink --map -s $(SCRIPT) -o $(OUTPUT) $(OBJECTS)

$(PROJECT).o : $(PROJECT).asm

sim: $(COD)
	$(GPSIM) -i -c $(STARTUP_STC) -D STC=$(STC)

=== regression/psp/Makefile ===
# PSP (Parallel Slave Port) module regression test
#
#

include ../make.regression

STARTUP_STC=startup.stc


all : p16f871.cod p18f452.cod


p%.cod : p%.o
	gplink --map -s $*.lkr -o $@  $<

sim: sim_871 sim_452

sim_871: p16f871.cod
	$(GPSIM) -i -c $(STARTUP_STC) -D STC=$<

sim_452: p18f452.cod
	$(GPSIM) -i -c $(STARTUP_STC) -D STC=$<

=== regression/switch_test/Makefile ===
include ../make.regression


SCRIPT = 16f877.lkr

PROJECT = switch_test
OBJECTS =  $(PROJECT).o
OUTPUT = $(PROJECT).hex
COD = $(PROJECT).cod
STC = $(PROJECT).stc
STARTUP_STC=startup.stc

all : $(OUTPUT)

$(OUTPUT) $(COD) : $(OBJECTS) $(SCRIPT)
	gplink --map -s $(SCRIPT) -o $(OUTPUT) $(OBJECTS)

$(PROJECT).o : $(PROJECT).asm

sim: $(COD)
	$(GPSIM) -i -c $(STARTUP_STC) -D STC=$(STC)

## gpsim 0.24

=== regression/ccp/Makefile ===
include ../make.regression



all : ccp_877a.cod pwm_877a.cod ccp_819.cod



ccp_877a.cod : ccp_877a.o
	gplink --map -s 16f877a.lkr -o $@  $^

ccp_819.cod : ccp_819.o
	gplink --map -s 16f819.lkr -o $@  $^

pwm_877a.cod : pwm_877a.o
	gplink --map -s 16f877a.lkr -o $@  $^

sim: sim_ccp_877a sim_pwm_877a sim_ccp_819

=== regression/comparator/Makefile ===
include ../make.regression



all : compar_873a.cod compar_628.cod compar_877a.cod compar_10f204.cod


compar_877a.cod : compar_877a.o
	gplink --map -s 16f877a.lkr -o $@  $<

compar_873a.cod : compar_873a.o
	gplink --map -s 16f873a.lkr  -o $@  $<

compar_628.cod : compar_628.o
	gplink --map -s 16f628.lkr  -o $@  $<

compar_10f204.cod: compar_10f204.o
	gplink  --map -s 10f204.lkr -o $@  $<

sim: sim_628 sim_877a sim_10f204

sim_628: compar_628.cod
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=compar_628.stc

sim_873a: compar_873a.cod
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=compar_873a.stc

sim_877a: compar_877a.cod
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=compar_877a.stc

sim_10f204: compar_10f204.cod
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<

=== regression/psp/Makefile ===
# PSP (Parallel Slave Port) module regression test
#
#

include ../make.regression


all : p16f871.cod p18f452.cod


p%.cod : p%.o
	gplink --map -s $*.lkr -o $@  $<

sim: sim_p16f871 sim_p18f452

=== regression/ttl/Makefile ===

EXTENDED_INSTRUCTIONS=1

include ../make.regression


SCRIPT = 18f452.lkr

PROJECT = ttl377
OBJECTS =  $(PROJECT).o
OUTPUT = $(PROJECT).hex
COD = $(PROJECT).cod

all : sim_377

$(OUTPUT) $(COD) : $(OBJECTS) $(SCRIPT)
	gplink --map -s $(SCRIPT) -o $(OUTPUT) $(OBJECTS)

sim_377: $(COD)
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<

=== examples/projects/stack_test/Makefile ===
# Example
#
#

# system programs
RM              = /bin/rm -f
ARC             = tar -cvf
GZIP            = gzip
ZIP		= zip

# gpasm programs
ASM             = gpasm
DIASM           = gpdasm
CODVIEWER       = gpvc -d 

# simulator
GPSIM		= gpsim

# Programmer
DEVICE		= 16F84
SERIAL_PORT	= /dev/ttyS1
PROG		= picp $(SERIAL_PORT) $(DEVICE) -wp

# project data
PROJECT         = stack_test
VERSION         = 1
SOURCES		= stack_test.asm stack_test.stc
HEADER	        = /usr/local/share/gpasm/header

DIST_FILES = $(SOURCES) \
	stack_test.hex stack_test.asm stack_test.stc	\
	ChangeLog	\
	Makefile	\
	README		


# derived variables
PROJ_VER	= $(PROJECT)-$(VERSION)
ARCHIVE         = $(PROJ_VER).tar
ZIP_PROJ_VER	= $(PROJECT)$(VERSION)
ZIPARCHIVE	= $(ZIP_PROJ_VER)
LATEST_HEX      = $(PROJECT)$(VERSION).hex

all:	$(PROJECT).cod

sim:	$(PROJECT).cod
	$(GPSIM) -c $(PROJECT).stc

$(PROJECT).cod: $(SOURCES)
	$(ASM) -I $(HEADER) $(PROJECT).asm

#$(PROJECT).hex: $(PROJECT).asm
#	$(ASM) -I $(HEADER) $(PROJECT).asm

$(ARCHIVE): $(DIST_FILES)
	mkdir $(PROJ_VER)
	cp $(DIST_FILES) $(PROJ_VER)/.
	$(ARC) $(ARCHIVE) $(PROJ_VER)
	rm -rf $(PROJ_VER)

#zip: $(DIST_FILES)
zip: $(PROJECT).cod
	mkdir $(ZIP_PROJ_VER)
	cp $(DIST_FILES) $(ZIP_PROJ_VER)/.
	cp $(PROJECT).hex $(ZIP_PROJ_VER)/$(LATEST_HEX)
	cp $(PROJECT).hex $(LATEST_HEX)
	$(ZIP) -r $(ZIP_PROJ_VER) $(ZIP_PROJ_VER)
	rm -rf $(ZIP_PROJ_VER)

archive: $(ARCHIVE)
	$(GZIP) $(ARCHIVE)


prog:	$(PROJECT).cod
	$(PROG) $(PROJECT).hex

clean:
	$(RM) *.lst *.cod $(PROJECT)*.gz *~

## gpsim 0.26.1

=== regression/p16f690/Makefile ===

include ../make.regression


#
# Use 16f631.lkr for all processors in this family
#
SCRIPT = 16f631.lkr

all : nwdt_16f631.cod wdt_16f677.cod p16f690.cod epwm.cod \
	wdt_16f685.cod eusart.cod 

nwdt_16f631.cod: nwdt_16f631.o $(SCRIPT)
	gplink --map  -s $(SCRIPT) -o nwdt_16f631.cod nwdt_16f631.o

wdt_16f677.cod: wdt_16f677.o $(SCRIPT)
	gplink --map  -s $(SCRIPT) -o wdt_16f677.cod wdt_16f677.o

wdt_16f685.cod: wdt_16f685.o $(SCRIPT)
	gplink --map  -s $(SCRIPT) -o wdt_16f685.cod wdt_16f685.o

p16f690.cod: p16f690.o $(SCRIPT)
	gplink --map  -s $(SCRIPT) -o p16f690.cod p16f690.o

eusart.cod: eusart.o $(SCRIPT)
	gplink --map  -s $(SCRIPT) -o eusart.cod eusart.o

epwm.cod: epwm.o $(SCRIPT)
	gplink --map  -s $(SCRIPT) -o epwm.cod epwm.o

sim: sim_epwm sim_eusart sim_p16f690 sim_nwdt_16f631 sim_wdt_16f677 \
	sim_wdt_16f685

sim_epwm: epwm.cod
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<

sim_eusart: eusart.cod
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<

sim_p16f690: p16f690.cod
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<

sim_nwdt_16f631: nwdt_16f631.cod
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<

sim_wdt_16f677: wdt_16f677.cod
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<

sim_wdt_16f685: wdt_16f685.cod
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<

=== regression/usart_test/Makefile ===
# USART module regression test
#
#

include ../make.regression


SCRIPT = 16f877.lkr

PROJECT = usart_test
OBJECTS =  $(PROJECT).o
OUTPUT = $(PROJECT).hex
COD = $(PROJECT).cod
STC = $(PROJECT).stc

all : usart_pir1v1.cod usart_pir1v2.cod eusart.cod


sim: sim_pir1v1 sim_pir1v2 sim_eusart
 
sim_pir1v1: usart_pir1v1.cod
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<

sim_pir1v2: usart_pir1v2.cod
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<

sim_eusart: eusart.cod
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<

usart_pir1v1.cod : usart_pir1v1.o
	gplink --map -s 16f628.lkr -o $@  $<

usart_pir1v2.cod : usart_pir1v2.o
	gplink --map -s 16f877.lkr -o $@  $<

eusart.cod : eusart.o
	gplink --map -s 18f2221.lkr -o $@  $<

=== regression/wdt/Makefile ===
# WDT module regression test
#
#

include ../make.regression


all :   wdt_16f88.cod nwdt_16f88.cod wdt_16f628.cod nwdt_16f628.cod \
	wdt_16c64.cod nwdt_16c64.cod wdt_18f452.cod nwdt_18f452.cod \
	wdt_10f200.cod nwdt_16f648a.cod


p%.cod : p%.o
	gplink --map -s $*.lkr -o $@  $<

wdt_%.cod : wdt_%.o
	gplink --map -s $*.lkr -o $@  $<

nwdt_%.cod : nwdt_%.o
	gplink --map -s $*.lkr -o $@  $<


sim: sim_wdt_16f88 sim_nwdt_16f88 sim_wdt_16f628 sim_nwdt_16f628 \
	sim_wdt_16c64 sim_nwdt_16c64 sim_wdt_18f452 sim_nwdt_18f452 \
	sim_wdt_10f200

=== debian/changelog ===
gpsim (0.26.1-2) unstable; urgency=low

  * applied Ilya Barygin's patch, thanks! Closes: #665542
  * upgraded Standards-Version to 3.9.3

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 26 May 2012 20:04:42 +0000

gpsim (0.26.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-4.7": update patch 10-configure.ac.patch (fix from
    Paul Tagliamonte).
    (Closes: #667190)

 -- gregor herrmann <gregoa@debian.org>  Sat, 05 May 2012 15:41:09 +0200

gpsim (0.26.1-1) unstable; urgency=low

  * upgraded to the newest upstream version. 
    Closes: #646211
  * added chrysn's watch file. Closes: #646789
  * bumped Standards-Version to 3.9.2
  * changed the format of the package to 3.0 (quilt)
  * added more files to clean in debian/rule's clean target

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 29 Oct 2011 23:49:55 +0200

gpsim (0.24-6) unstable; urgency=low

  * Applied Andreas Moog's patch, in order to ship no longer .la files.
    Closes: #620761

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 04 Apr 2011 17:46:24 +0200

gpsim (0.24-5) unstable; urgency=low

  * patched the file configure.ac to add "-ldl" in X_LDFLAGS.Removed 
    "-warn-once" from AM_LDFLAGS as binutils-gold does not know this flag.
    Closes: 554740

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 17 Aug 2010 11:51:55 +0200

gpsim (0.24-4) unstable; urgency=low

  * updated the dependency on libreadline-dev. Closes: #553872
  * upgraded Standards-Version to 3.9.1

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 15 Aug 2010 01:09:12 +0200

gpsim (0.24-3) unstable; urgency=low

  * modified the configuration to remove the dependency on 
    libgtk+extra-x11-3.0-0. As a result, there is no more gui interface
    for gpsim. However, the libraries featured by this build are 
    sufficient for ktechlab, which provides a graphic interface.

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 15 Feb 2010 00:42:53 +0100

gpsim (0.24-2) unstable; urgency=low

  * rebuilt with libgtkextra-3.0-dev

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 13 Feb 2010 20:27:05 +0100

gpsim (0.24-1) unstable; urgency=low

  * adopted the package
  * upgraded to the newest upstream version
  * upgraded Standards-Version to 3.8.3
  * modified the patching system to quilt
  * erased older unseless patches
  * added ${misc:Depends} for gpsim-dev

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 16 Jan 2010 17:32:11 +0100

gpsim (0.22.0-5.2) unstable; urgency=high

  * Cherrypick acinclude update from release to fix readline detection
    (Closes: #520005)

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 13 Jul 2009 19:36:10 +0200

gpsim (0.22.0-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix build with GCC 4.4 (Closes: #505011)
  * Build against GTK 2.0 (Closes: #516232)

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 20 Feb 2009 20:22:25 +0100

gpsim (0.22.0-5) unstable; urgency=medium

  * Acknowledge NMU, thanks Luk (Closes: #471202)
  * Fix gcc-4.3 compilation issues (Closes: #474796)
    patch taken from gentoo, thanks to the people involved
   - Incorporate all gcc-4.3 porting issues into 10-gcc-4.3.dpatch
   - Add dpatch back to build-depends and call it in debian/rules
  * Update standards-version to 3.7.3
  * Remove some empty dirs under /usr/share/doc/gpsim/examples/
  * Remove code, which automatically adds the library extension to the
    file, in order to let people load the libraries without the
    gpsim-dev package installed and document library loading in 
    README.Debian (Closes: #475473)

 -- Steffen Joeris <white@debian.org>  Sun, 01 Jun 2008 09:30:49 +0000

gpsim (0.22.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 4.3 (Closes: #454831, #455608).

 -- Luk Claes <luk@debian.org>  Sun, 16 Mar 2008 15:48:49 +0000

gpsim (0.22.0-4) unstable; urgency=medium

  * Correct last upload and remove libopts25-dev from build-depends
    and add libpopt-dev as a gpsim-dev dependency (Closes: #442106)

 -- Steffen Joeris <white@debian.org>  Wed, 19 Sep 2007 13:31:36 +0000

gpsim (0.22.0-3) unstable; urgency=medium

  * Add build-depends against libopts25-dev to avoid FTBFS
    (Closes: #442106)
  * Remove exdbm as build-depends, because the package will be removed
    from Debian and gpsim still has an own copy of it

 -- Steffen Joeris <white@debian.org>  Wed, 19 Sep 2007 21:08:17 +1000

gpsim (0.22.0-2) unstable; urgency=low

  * Include patch to add missing includes needed by g++-4.3
    (Closes: #417213) Thanks to Martin Michlmayr
  * Change maintainer address
  * Make sure that make distclean errors are not ignored
  * Remove substvar in debian/control as it has some backwards
    compatibility
  * Delete several rpaths using chrpath and add it to build-depends
  * Update gpsim lintian override

 -- Steffen Joeris <white@debian.org>  Fri, 29 Jun 2007 14:22:49 +0200

gpsim (0.22.0-1) unstable; urgency=low

  * New upstream release
   - Final release with enhancements from the last release candidate
  * Update debian copyright and add new contributors

 -- Steffen Joeris <steffen.joeris@skolelinux.de>  Tue, 21 Nov 2006 05:31:09 +1100

gpsim (0.22.0~rc3-1) unstable; urgency=medium

  * New upstream version
   - Mainly a bugfix release
    Many thanks to the author Scott Dattalo for taking care of Debian
    release cycle and special thanks to Eamon Skelton for power testing
   - Fix for the gui problem which was introduced with last upstream 
     version
  * Drop the patches as they are now all included in upstream
  * Drop dpatch from build-depends and modify debian/rules file
  * Adjust the examples, because of new location
  * Update lintian override

 -- Steffen Joeris <steffen.joeris@skolelinux.de>  Thu, 26 Oct 2006 19:50:47 +1000

gpsim (0.21.11-2) unstable; urgency=low

  * Include patch from Aurelien Jarno to make sure it build on
    kfreeBSD-i386 (Closes: #345215)
  * Improve debian/copyright notes and add other copyright holders


=== debian/control ===
Source: gpsim
Section: electronics
Priority: optional
Maintainer: Georges Khaznadar <georgesk@ofset.org>
Build-Depends: debhelper (>= 5), libreadline-dev, libncurses5-dev, libpopt-dev, libglib2.0-dev, libtool, flex, automake, autotools-dev, bison, chrpath, quilt (>= 0.40)
Standards-Version: 3.9.3

Package: gpsim
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gputils (>= 0.10.0-1)
Suggests: gpsim-led, gpsim-logic, gpsim-lcd, gpsim-doc
Description: Simulator for Microchip's PIC microcontrollers
 Gpsim is a full-featured software simulator for Microchip PIC microcontrollers.
 .
 Gpsim has been designed to be as accurate as possible. Accuracy includes the 
 entire PIC - from the core to the I/O pins and including ALL of the internal 
 peripherals. Thus it's possible to create stimuli and tie them to the I/O pins
 and test the PIC the same PIC the same way you would in the real world. 
 .
 Gpsim has been designed to be as fast as possible. Real time simulation speeds 
 of 20Mhz PICs are possible.
 .
 Gpsim has been designed to be as useful as possible. The standard simulation 
 paradigm including breakpoints, single stepping, disassembling, memory inspect 
 & change, have been implemented. In addition, gpsim supports many debugging 
 features that are only available with in-circuit emulators. For example, a 
 continuous trace buffer tracks every action of the simulator. Also, it's 
 possible to set read and write break points on values (e.g. break if a specific
 value is read from or written to a register).

Package: gpsim-dev
Architecture: any
Section: devel
Depends: gpsim, libpopt-dev, ${misc:Depends}
Description: Libraries needed only for building gpsim components
 Gpsim is a full-featured software simulator for Microchip PIC microcontrollers.
 .
 This package install the libraries and headers necessary to build the
 supporting modules for gpsim.
 .
 NOTE: as a user of gpsim this package does not need to be installed.

## gpsim 0.27.0

=== regression/a2d/Makefile ===
include ../make.regression

all : p16c71.cod p18f452.cod p16f873a.cod p16f88.cod p16f871.cod p16f874a.cod p16f819.cod p18f4321.cod p18f1220.cod p10f222.cod 


p%.cod : p%.o
	gplink --map -s $*.lkr -o $@  $<



sim: sim_p16c71 sim_p16f871 sim_p16f873a sim_p16f874a sim_p16f88 sim_p16f819 sim_p18f452 sim_p18f4321 sim_p18f1220 sim_p10f222

=== regression/analog_stim/Makefile ===
include ../make.regression


all : p18f452.cod


p%.cod : p%.o
	gplink --map -s $*.lkr -o $@  $<


sim: sim_p18f452

=== regression/assertions/Makefile ===
include ../make.regression


SCRIPT = 16f873.lkr
OBJECTS = assertions.o
OUTPUT = assertions.hex

all : $(OUTPUT)

$(OUTPUT) : $(OBJECTS) $(SCRIPT)
	gplink --map -s $(SCRIPT) -o $(OUTPUT) $(OBJECTS)

assertions.o : assertions.asm

=== regression/ccp/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 
 
-all : ccp_877a.cod pwm_877a.cod ccp_819.cod
+all : ccp_877a.cod pwm_877a.cod ccp_819.cod pwm_6520.cod
 
 
 
@@ -15,5 +15,8 @@
 pwm_877a.cod : pwm_877a.o
 	gplink --map -s 16f877a.lkr -o $@  $^
 
-sim: sim_ccp_877a sim_pwm_877a sim_ccp_819
+pwm_6520.cod : pwm_6520.o
+	gplink --map -s 18f6520.lkr -o $@  $^
 
+sim: sim_ccp_877a sim_pwm_877a sim_ccp_819 sim_pwm_6520
+

=== regression/comparator/Makefile ===
--- 
+++ 
@@ -2,7 +2,8 @@
 
 
 
-all : compar_873a.cod compar_628.cod compar_877a.cod compar_10f204.cod
+all : compar_873a.cod compar_628.cod compar_877a.cod compar_10f204.cod \
+	compar_882.cod
 
 
 compar_877a.cod : compar_877a.o
@@ -13,6 +14,9 @@
 
 compar_628.cod : compar_628.o
 	gplink --map -s 16f628.lkr  -o $@  $<
+
+compar_882.cod : compar_882.o
+	gplink --map -s 16f882.lkr  -o $@  $<
 
 compar_10f204.cod: compar_10f204.o
 	gplink  --map -s 10f204.lkr -o $@  $<
@@ -31,3 +35,6 @@
 sim_10f204: compar_10f204.cod
 	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<
 
+sim_882: compar_882.cod
+	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<
+

=== regression/epwm/Makefile ===
include ../make.regression

all : p16f887.cod p18f4321.cod p16f882.cod p18f1220.cod p18f2321.cod


p%.cod : p%.o
	gplink --map -s $*.lkr -o $@  $<



sim:

=== regression/p16f628/Makefile ===
# WDT module regression test
#
#

include ../make.regression


all :   p16f628.cod wdt_16f88.cod nwdt_16f88.cod tmr1_16f628.cod reset_16f628.cod


p%.cod : p%.o
	gplink --map -s $*.lkr -o $@  $<

tmr1_%.cod : tmr1_%.o
	gplink --map -s $*.lkr -o $@  $<

wdt_%.cod : wdt_%.o
	gplink --map -s $*.lkr -o $@  $<

nwdt_%.cod : nwdt_%.o
	gplink --map -s $*.lkr -o $@  $<


reset_%.cod : reset_%.o
	gplink --map -s $*.lkr -o $@  $<


sim: sim_p16f628

=== regression/p16f684/Makefile ===

include ../make.regression


#
# Use 16f684.lkr for all processors in this family
#
SCRIPT = 16f684.lkr

all : nwdt_16f684.cod compar_684.cod wdt_16f684.cod  epwm.cod a2d_684.cod reset.cod

#	wdt_16f685.cod eusart.cod 

nwdt_16f684.cod: nwdt_16f684.o $(SCRIPT)
	gplink --map  -s $(SCRIPT) -o nwdt_16f684.cod nwdt_16f684.o

wdt_16f684.cod: wdt_16f684.o $(SCRIPT)
	gplink --map  -s $(SCRIPT) -o wdt_16f684.cod wdt_16f684.o

a2d_684.cod: a2d_684.o $(SCRIPT)
	gplink --map  -s $(SCRIPT) -o a2d_684.cod a2d_684.o

compar_684.cod: compar_684.o $(SCRIPT)
	gplink --map  -s $(SCRIPT) -o compar_684.cod compar_684.o

epwm.cod: epwm.o $(SCRIPT)
	gplink --map  -s $(SCRIPT) -o epwm.cod epwm.o

reset.cod: reset.o $(SCRIPT)
	gplink --map  -s $(SCRIPT) -o reset.cod reset.o

sim: sim_epwm sim_nwdt_16f684  \
	sim_wdt_16f684 sim_reset sim_compar_684
 

sim_epwm: epwm.cod
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<

sim_reset: reset.cod
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<

sim_compar_684: compar_684.cod
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=compar_684.stc

sim_nwdt_16f684: nwdt_16f684.cod
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<

sim_wdt_16f684: wdt_16f684.cod
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<

=== regression/p16f690/Makefile ===

include ../make.regression


#
# Use 16f631.lkr for all processors in this family
#
SCRIPT = 16f631.lkr

all : nwdt_16f631.cod wdt_16f677.cod p16f690.cod epwm.cod \
	wdt_16f685.cod eusart.cod eusart_690.cod

nwdt_16f631.cod: nwdt_16f631.o $(SCRIPT)
	gplink --map  -s $(SCRIPT) -o nwdt_16f631.cod nwdt_16f631.o

wdt_16f677.cod: wdt_16f677.o $(SCRIPT)
	gplink --map  -s $(SCRIPT) -o wdt_16f677.cod wdt_16f677.o

wdt_16f685.cod: wdt_16f685.o $(SCRIPT)
	gplink --map  -s $(SCRIPT) -o wdt_16f685.cod wdt_16f685.o

p16f690.cod: p16f690.o $(SCRIPT)
	gplink --map  -s $(SCRIPT) -o p16f690.cod p16f690.o

eusart.cod: eusart.o $(SCRIPT)
	gplink --map  -s $(SCRIPT) -o eusart.cod eusart.o

eusart_690.cod: eusart_690.o $(SCRIPT)
	gplink --map  -s $(SCRIPT) -o eusart_690.cod eusart_690.o

epwm.cod: epwm.o $(SCRIPT)
	gplink --map  -s $(SCRIPT) -o epwm.cod epwm.o

sim: sim_epwm sim_eusart sim_p16f690 sim_nwdt_16f631 sim_wdt_16f677 \
	sim_wdt_16f685

=== regression/p16f819/Makefile ===
include ../make.regression


SCRIPT = 16f819.lkr

all :  a2d_819.cod ccp_819.cod

%.cod : %.o
	gplink --map -s $(SCRIPT) -o $@ $<


sim: sim_a2d_819 sim_ccp_819

=== regression/p16f88x/Makefile ===
include ../make.regression


SCRIPT = 16f887.lkr

all :  p16f887.cod p16f882.cod comparator.cod p16f883.cod eusart.cod i2c.cod epwm.cod a2d.cod

%.cod : %.o
	gplink --map  -q -o $@ $<


sim: sim_a2d_819 sim_ccp_819

=== regression/p1xf18xx/Makefile ===
# P12f1822, P16F1823  processor regression tests
#
#

include ../make.regression


all :   p12f1822.cod  p16f1823.cod p16f1823_spi.cod p16f1823_i2c.cod p16f1823_i2c_v2.cod p16f1823_comp.cod

p16f1823_i2c_v2.o : p16f1823_i2c_v2.asm i2c_low.inc


p%.cod : p%.o
	gplink --map -s $*_g.lkr -o $@  $<

p%_spi.cod : p%_spi.o
	gplink --map -s $*_g.lkr -o $@  $<

p%_i2c.cod : p%_i2c.o
	gplink --map -s $*_g.lkr -o $@  $<

p%_comp.cod : p%_comp.o
	gplink --map -s $*_g.lkr -o $@  $<

p%_i2c_v2.cod : p%_i2c_v2.o
	gplink --map -s $*_g.lkr -o $@  $<


sim: sim_p12f1822 sim_p16f1823 sim_p16f1823_i2c_v2 sim_p16f1823_i2c sim_p16f1823_comp sim_p16f1823_spi

=== debian/changelog ===
gpsim (0.27.0-4) unstable; urgency=medium

  * included Alexander's patch; Closes: #753268
  * upgraded Standards-Version to 3.9.5
  * defined a macro GUI_SWITCH in d/rules, with a value "--disable-gui"
    it can be set to "--enable-gui" to build the graphic part of gpsim

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 30 Jun 2014 10:33:49 +0200

gpsim (0.27.0-2) unstable; urgency=medium

  * enabled the GUI again

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 07 Mar 2014 23:15:52 +0100

gpsim (0.27.0-1) unstable; urgency=low

  * Upgraded to the newest upstream version
  * Changed my debemail
  * Upgraded Standards-Version to 3.9.4
  * Added a build-dependency on gputils

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 12 Sep 2013 00:43:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: gpsim
 Section: electronics
 Priority: optional
-Maintainer: Georges Khaznadar <georgesk@ofset.org>
-Build-Depends: debhelper (>= 5), libreadline-dev, libncurses5-dev, libpopt-dev, libglib2.0-dev, libtool, flex, automake, autotools-dev, bison, chrpath, quilt (>= 0.40)
-Standards-Version: 3.9.3
+Maintainer: Georges Khaznadar <georgesk@debian.org>
+Build-Depends: debhelper (>= 5), libreadline-dev, libncurses5-dev,
+ libpopt-dev, libglib2.0-dev, libtool, flex, automake, autotools-dev,
+ bison, chrpath, gputils, quilt
+Standards-Version: 3.9.5
 
 Package: gpsim
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
#  This version builds architecture-dependent packages only

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# Get build platform info
export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

include /usr/share/quilt/quilt.make

autogen: autogen.stamp
autogen.stamp: patch
	libtoolize --copy --force --automake
	aclocal
	autoheader || true
	automake --copy --add-missing
	autoconf -f || true
	touch autogen.stamp

GUI_SWITCH = --disable-gui
# GUI_SWITCH = --enable-gui

configure: configure-stamp
configure-stamp: autogen.stamp
	dh_testdir
	#  Update our config.sub, config.guess files
	-test -r /usr/share/misc/config.sub && \
	cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
	cp -f /usr/share/misc/config.guess config.guess
	#  Configure the package.
	./configure --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) \
	--enable-static=no $(GUI_SWITCH) --prefix=/usr \
	--mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--libdir=\$${prefix}/lib \
	--includedir=\$${prefix}/include

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	#  Compile the package.
	$(MAKE)
	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp autogen.stamp
	#  Clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.log config.sub config.guess 
	rm -f Makefile.in
	rm -f aclocal.m4
	rm -f cli/Makefile.in
	rm -f config.h.in configure
	rm -f doc/Makefile.in
	rm -f eXdbm/Makefile.in
	rm -f examples/Makefile.in
	rm -f examples/modules/Makefile.in
	rm -f examples/projects/Makefile.in
	rm -f gpsim/Makefile.in
	rm -f gui/Makefile.in
	rm -f ltmain.sh
	rm -f modules/Makefile.in
	rm -f regression/Makefile.in
	rm -f src/Makefile.in
	rm -f src/dspic/Makefile.in
	rm -f xpms/Makefile.in
	rm -f extras/Makefile.in
	rm -f extras/lcd/Makefile.in
	rm -f extras/lcd/examples/Makefile.in
	rm -f extras/graphic_lcd/Makefile.in
	rm -f extras/graphic_lcd/src/Makefile.in
	rm -f extras/ds1307/Makefile.in
	rm -f extras/ds1307/examples/Makefile.in
	rm -f m4/libtool.m4
	rm -f m4/lt~obsolete.m4
	rm -f m4/ltversion.m4
	rm -f m4/ltsugar.m4
	rm -f m4/ltoptions.m4
	rm -f compile
	rm -f extras/ds1820/Makefile.in
	rm -f extras/ds1820/Makefile
	rm -f extras/ds1820/examples/Makefile.in
	rm -f extras/ds1820/examples/Makefile
	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	#  Install the package into debian/tmp.
	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr
	libtool --finish $(CURDIR)/debian/tmp/usr/lib
	cp $(CURDIR)/debian/gpsim.lintian $(CURDIR)/debian/gpsim/usr/share/lintian/overrides/gpsim
	chrpath -d $(CURDIR)/debian/tmp/usr/bin/gpsim
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/libgpsim.so.0.0.0
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/libgpsim_dspic.so.0.0.0 
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/libgpsim_eXdbm.so.0.0.0 
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/libgpsim_modules.so.0.0.0 
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/libgpsimcli.so.0.0.0 
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/libgpsimgui.so.0.0.0

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.           
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.           
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install --sourcedir=debian/tmp
	#  Remove things which are not examples
	find $(CURDIR)/debian/gpsim/usr/share/doc/gpsim/examples -name 'Makefile*' -exec rm -f {} \;
	#  Kill exec perms in example tree
	chmod -x -R $(CURDIR)/debian/gpsim/usr/share/doc/gpsim/examples/*
	dh_installmenu -a
	dh_installman debian/gpsim.1 -a
	dh_installchangelogs ChangeLog -a
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## gpsim 0.29.0

=== regression/digital_stim/Makefile ===
include ../make.regression


SCRIPT = 16f84.lkr

PROJECT = digital_stim
OBJECTS =  $(PROJECT).o
OUTPUT = $(PROJECT).hex
COD = $(PROJECT).cod
STC = $(PROJECT).stc

all : $(OUTPUT)

$(OUTPUT) $(COD) : $(OBJECTS) $(SCRIPT)
	gplink --map -s $(SCRIPT) -o $(OUTPUT) $(OBJECTS)

sim: $(COD)
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$(STC)

=== regression/eeprom_wide/Makefile ===
include ../make.regression


SCRIPT = 16f873.lkr

PROJECT = eeprom_wide
OBJECTS =  $(PROJECT).o
OUTPUT = $(PROJECT).hex
COD = $(PROJECT).cod
STC = $(PROJECT).stc

all : $(OUTPUT)

$(OUTPUT) $(COD) : $(OBJECTS) $(SCRIPT)
	gplink --map -s $(SCRIPT) -o $(OUTPUT) $(OBJECTS)

sim: $(COD)
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$(STC)

=== regression/i2c/Makefile ===
# I2C module regression test
#
#

include ../make.regression


all :   p16f876a.cod p16f88.cod p16f819.cod


p%.cod : p%.o
	gplink --map -s $*.lkr -o $@  $<

p16f88.cod: p16f88.asm i2c_low.inc

p16f819.cod: p16f819.asm i2c_low.inc

sim: sim_p16f88 sim_p16f876a sim_p16f819

=== regression/instructions_16bit/Makefile ===
include ../make.regression


SCRIPT = 18f452.lkr

PROJECT = instructions_16bit
OBJECTS =  $(PROJECT).o
OUTPUT = $(PROJECT).hex
COD = $(PROJECT).cod
STC = $(PROJECT).stc

all : $(OUTPUT)

$(OUTPUT) $(COD) : $(OBJECTS) $(SCRIPT)
	gplink --map -s $(SCRIPT) -o $(OUTPUT) $(OBJECTS)

sim: $(COD)
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$(STC)

=== regression/p16f684/Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<
 
 sim_compar_684: compar_684.cod
-	$(GPSIM) -i -I $(STARTUP_STC) -D STC=compar_684.stc
+	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<
 
 sim_nwdt_16f684: nwdt_16f684.cod
 	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<

=== regression/p16f690/Makefile ===
--- 
+++ 
@@ -34,3 +34,21 @@
 sim: sim_epwm sim_eusart sim_p16f690 sim_nwdt_16f631 sim_wdt_16f677 \
 	sim_wdt_16f685
 
+sim_epwm: epwm.cod
+	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<
+
+sim_eusart: eusart.cod
+	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<
+
+sim_p16f690: p16f690.cod
+	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<
+
+sim_nwdt_16f631: nwdt_16f631.cod
+	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<
+
+sim_wdt_16f677: wdt_16f677.cod
+	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<
+
+sim_wdt_16f685: wdt_16f685.cod
+	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<
+

=== regression/p18f26k22/Makefile ===
include ../make.regression

all: hlvd_26k22.cod  ctmu_26k22.cod tbl_26k22.cod

%.cod : %.o
	gplink --map  -o $@  $<

sim: sim_hlvd_26k22 sim_ctmu_26k22 sim_tbl_26k22

.PHONY: all clean

=== regression/p1xf18xx/Makefile ===
# P12f1822, P16F1823  processor regression tests
#
#

include ../make.regression


all :   p12f1822.cod  p16f1788_comp.cod p16f1823.cod p16f1823_spi.cod p16f1823_i2c.cod p16f1823_i2c_v2.cod p16f1823_comp.cod p16f1788.cod p12f1822_usart.cod

p16f1823_i2c_v2.o : p16f1823_i2c_v2.asm i2c_low.inc


p%_spi.cod : p%_spi.o
	gplink --map -s $*_g.lkr -o $@  $<

p%_usart.cod : p%_usart.o
	gplink --map -s $*_g.lkr -o $@  $<

p%_i2c.cod : p%_i2c.o
	gplink --map -s $*_g.lkr -o $@  $<

p%_comp.cod : p%_comp.o
	gplink --map -s $*_g.lkr -o $@  $<

p%_i2c_v2.cod : p%_i2c_v2.o
	gplink --map -s $*_g.lkr -o $@  $<

p%.cod : p%.o
	gplink --map -s $*_g.lkr -o $@  $<

sim: sim_p12f1822 sim_p16f1823 sim_p16f1823_i2c_v2 sim_p16f1823_i2c sim_p16f1823_comp sim_p16f1823_spi sim_p12f1822_usart sim_p16f1788 sim_p16f1788_comp

=== regression/rrr/Makefile ===

#EXTENDED_INSTRUCTIONS=1

include ../make.regression


SCRIPT = 18f2455.lkr

PROJECT = instructions
OBJECTS =  $(PROJECT).o
OUTPUT = $(PROJECT).hex
COD = $(PROJECT).cod
STC = $(PROJECT).stc

all : reset.cod eusart_2455.cod eusart_4455.cod q.cod q2455.cod dc628.cod stack.cod stack_reset.cod p16f505.cod spp_4455.cod

reset.cod: reset.o $(SCRIPT)
	gplink --map  -s $(SCRIPT) -o reset.cod reset.o

stack.cod: stack.o $(SCRIPT)
	gplink --map  -s $(SCRIPT) -o stack.cod stack.o

stack_reset.cod: stack_reset.o $(SCRIPT)
	gplink --map  -s $(SCRIPT) -o stack_reset.cod stack_reset.o

q2455.cod: q2455.o $(SCRIPT)
	gplink --map  -s $(SCRIPT) -o q2455.cod q2455.o

q.cod: q.o 12f508_g.lkr p16f505.cod
	gplink --map  -s 12f508_g.lkr -o q.cod q.o

p16f505.cod: p16f505.o
	gplink --map  -s 16f505_g.lkr -o p16f505.cod p16f505.o

dc628.cod: dc628.o 16f628.lkr
	gplink --map  -s 16f628.lkr -o dc628.cod dc628.o

eusart_2455.cod: eusart_2455.o 18f2455.lkr
	gplink --map -s 18f2455.lkr -o eusart_2455.cod eusart_2455.o

eusart_4455.cod: eusart_4455.o 18f2455.lkr
	gplink --map -s 18f2455.lkr -o eusart_4455.cod eusart_4455.o

spp_4455.cod: spp_4455.o 18f2455.lkr
	gplink --map -s 18f2455.lkr -o spp_4455.cod  spp_4455.o

sim:

=== regression/txisr_test/Makefile ===
# USART module transmit interrupt regression test
#
#

include ../make.regression


SCRIPT = 16f871.lkr

PROJECT = txisr_test
OBJECTS =  $(PROJECT).o
OUTPUT = $(PROJECT).hex
COD = $(PROJECT).cod

all : $(OUTPUT)

$(OUTPUT) $(COD) : $(OBJECTS) $(SCRIPT)
	gplink --map -s $(SCRIPT) -o $(OUTPUT) $(OBJECTS)

sim: $(COD)
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<

=== examples/modules/mod_test/Makefile ===
# Module example
#
#

# system programs
RM              = /bin/rm -f
ARC             = tar -cvf
ZIP             = gzip

# gpasm programs
ASM             = gpasm
DIASM           = gpdasm
CODVIEWER       = gpvc -d 

# simulator
GPSIM		= gpsim

# project data
PROJECT         = mod_test
VERSION         = 0.0.1

HEADER	        = /usr/local/share/gpasm/header

# derived variables
ARCHIVE         = $(PROJECT)-$(VERSION).tar

all:	$(PROJECT).cod

sim:	$(PROJECT).cod
	$(GPSIM) -c $(PROJECT).stc

$(PROJECT).cod: $(PROJECT).asm
	$(ASM) -I $(HEADER) $(PROJECT).asm

$(ARCHIVE):
	$(ARC) $(ARCHIVE) *

archive: $(ARCHIVE)
	$(ZIP) $(ARCHIVE)

clean:
	$(RM) *.hex *.lst *.cod $(PROJECT)*.gz *~

=== examples/modules/paraface_test/Makefile ===
# Module example
#
#

# system programs
RM              = /bin/rm -f
ARC             = tar -cvf
ZIP             = gzip

# gpasm programs
ASM             = gpasm -c
DIASM           = gpdasm
CODVIEWER       = gpvc -d 

# simulator
GPSIM		= gpsim

# project data
PROJECT         = partest
VERSION         = 0.0.1

HEADER	        = /usr/local/share/gpasm/header

# derived variables
ARCHIVE         = $(PROJECT)-$(VERSION).tar

all:	$(PROJECT).cod

sim:	$(PROJECT).cod
	$(GPSIM) -c $(PROJECT).stc

$(PROJECT).cod: $(PROJECT).asm
	$(ASM) -I $(HEADER) $(PROJECT).asm

$(ARCHIVE):
	$(ARC) $(ARCHIVE) *

archive: $(ARCHIVE)
	$(ZIP) $(ARCHIVE)

clean:
	$(RM) *.hex *.lst *.cod $(PROJECT)*.gz *~

=== debian/changelog ===
gpsim (0.29.0-1) unstable; urgency=medium

  * upgraded to the new upstream release. Closes: #694726
  * updated the override for the clean target in d/rules

 -- Georges Khaznadar <georgesk@freeduc.org>  Fri, 06 Nov 2015 09:02:57 +0100

gpsim (0.27.0-7) unstable; urgency=medium

  * made a new build with gcc5. Closes: #800538

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 01 Oct 2015 17:54:51 +0200

gpsim (0.27.0-6) unstable; urgency=medium

  * added a build-dependency on libtool-bin. Closes: #761753

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 17 Sep 2014 19:19:52 +0200

gpsim (0.27.0-5) unstable; urgency=medium

  * revived the GUI program in the package. Added build-dependencies on
    libgtkextra-dev, libgtk2.0-dev,
    activated "GUI_SWITCH = --enable-gui" in debian/rules
  * rewritten debian/rules to use debhelper's dh command
  * changed debian/compat to "9"
  * changed source format to 3.0 (quilt)

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 30 Aug 2014 11:02:16 +0200

=== debian/watch ===
version=3

http://sf.net/gpsim/gpsim-(.+)\.tar\.gz

## gpsim 0.30.0~rc0

=== debian/changelog ===
gpsim (0.30.0~rc0-1) unstable; urgency=medium

  * New upstream release. Closes: #853432

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 15 Aug 2017 19:09:26 +0200

gpsim (0.29.0-2) unstable; urgency=medium

  * rebuilf with new GTK libraries. Closes: #818533

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 18 Mar 2016 00:36:00 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: electronics
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper (>= 5), libreadline-dev, libncurses5-dev,
+Build-Depends: debhelper (>= 9), libreadline-dev, libncurses5-dev,
  libpopt-dev, libglib2.0-dev, libtool, flex, automake, autotools-dev,
- bison, chrpath, gputils, quilt
+ libtool-bin, bison, chrpath, gputils, quilt, libgtkextra-dev, libgtk2.0-dev
 Standards-Version: 3.9.5
 
 Package: gpsim
